#
# spec file for package perl-POSIX-strftime-Compiler
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name POSIX-strftime-Compiler
Name:           perl-POSIX-strftime-Compiler
Version:        0.460.0
Release:        2.3
%define cpan_version 0.46
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        GNU C library compatible strftime for loggers and servers
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/K/KA/KAZEBURO/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Module::Build::Tiny) >= 0.035
BuildRequires:  perl(Test::More) >= 0.98
Provides:       perl(POSIX::strftime::Compiler) = %{version}
%undefine       __perllib_provides
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  timezone
# MANUAL END

%description
POSIX::strftime::Compiler provides GNU C library compatible strftime(3).
But this module will not affected by the system locale. This feature is
useful when you want to write loggers, servers and portable applications.

For generate same result strings on any locale, POSIX::strftime::Compiler
wraps POSIX::strftime and converts some format characters to perl code

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

%build
perl Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README.md
%license LICENSE

%changelog
* Fri Mar  8 2024 Tina Müller <tina.mueller@suse.com>
- Fix disabling of __perllib_provides
* Sat Jan  6 2024 Tina Müller <timueller+perl@suse.de>
- updated to 0.46
  see /usr/share/doc/packages/perl-POSIX-strftime-Compiler/Changes
  0.46 2024-01-05T08:44:11Z
  - skip some tests
* Fri Nov 10 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.45
  see /usr/share/doc/packages/perl-POSIX-strftime-Compiler/Changes
  0.45 2023-11-09T09:54:10Z
  - fix indirect object notation for exec #11
* Tue Aug 11 2020 Tina Müller <timueller+perl@suse.de>
- updated to 0.44
  see /usr/share/doc/packages/perl-POSIX-strftime-Compiler/Changes
  0.44 2020-08-10T07:10:35Z
  - Check tzdata before test
* Tue Jul 28 2020 Tina Müller <timueller+perl@suse.de>
- updated to 0.43
  see /usr/share/doc/packages/perl-POSIX-strftime-Compiler/Changes
  0.43 2020-07-26T07:23:50Z
  - Test issues with space in perl path name #9
  - microoptimization: check for invalid number of parameters later #5
* Thu Nov 28 2019 <tina.mueller@suse.com>
- Add manual dependency timezone
* Wed Apr  3 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.42
  see /usr/share/doc/packages/perl-POSIX-strftime-Compiler/Changes
  0.42 2016-07-11T10:04:37Z
  - import musl patch
* Fri Feb  6 2015 coolo@suse.com
- updated to 0.41
  - fixed synopsis
* Mon Sep  8 2014 coolo@suse.com
- updated to 0.40
  - fix test. accept ACST as Australia/Darwin's timezone
    Because Australian eastern time zone abbr changed in tzdata 2014f
    ref http://mm.icann.org/pipermail/tz-announce/2014-August/000023.html
  0.32 2014-06-09T01:53:19Z
  - change perl version requirements to 5.8.1
* Fri Mar  7 2014 coolo@suse.com
- initial package 0.31
  * created by cpanspec 1.78.07
